[sms] "send" should be a button

VERIFIED FIXED

Status

Firefox OS
Gaia
VERIFIED FIXED
5 years ago
5 years ago

People

(Reporter: GH to BZ, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [label:sms][label:polish])

(Reporter)

Description

5 years ago
[GitHub issue by autonome on 2012-09-15T00:20:44Z, https://github.com/mozilla-b2g/gaia/issues/4757]
Right now it's a tiny text, that's both vertically and horizontally misaligned.
(Reporter)

Comment 1

5 years ago
[GitHub comment by borjasalguero on 2012-09-15T00:40:55Z]
Now it's a little bit weird (https://www.dropbox.com/sh/8jkb0osnvfda96e/TkcQuTbhHj#f:OWD_05_SMS_composer_scl.png)  but probably should be a button/building block @sergivila @silvialatzer Any update?
(Reporter)

Comment 2

5 years ago
[GitHub comment by sergivila on 2012-09-17T08:28:43Z]
Yes, it's a building block (is part of "buttons"). 

You can find the visuals here as a reference: https://wiki.mozilla.org/images/1/12/OWD_wiki_Buttons.jpg

It hasn't been implemented as a BB yet. Maybe we can ask @basiclines to prioritize this in order for you to use it in your code.
(Reporter)

Comment 3

5 years ago
[GitHub comment by basiclines on 2012-09-17T09:20:05Z]
We don't have it as a Building block because is not a generic button, i mean, is an specific application style.
Not everything added in the visual design of the BB are currently adapted in the BB code because of that. 
Mozilla reviewers have a lot of concerns about what is "generic" and what is not, and this is not currently from their perspective.

I hope to have helped you guys!
(Reporter)

Comment 4

5 years ago
[GitHub comment by sergivila on 2012-09-17T09:34:56Z]
I have my concerns about that.

I think that button is not app specific because it's used anytime an input field with a button is used. That's on any app having a search input filed, an entry input field, etc...

I agree that maybe it's place is not in the "buttons" BB, and maybe we must move it to the "input fileds" one, but IMHO it's definitely a standard/common element.
(Reporter)

Comment 5

5 years ago
[GitHub comment by basiclines on 2012-09-17T09:36:57Z]
You're right @sergivila ,  maybe is just placing it on another category :D
Right now is not implemented, i will try to do my best to implement it as soon as possible!
(Reporter)

Comment 6

5 years ago
[GitHub comment by borjasalguero on 2012-09-30T21:53:47Z]
@basiclines Could we include this issue in #4977 ?
(Reporter)

Comment 7

5 years ago
[GitHub comment by basiclines on 2012-10-01T08:08:28Z]
@borjasalguero  We will include this in the next BB PR in SMS app!
(Reporter)

Comment 8

5 years ago
[GitHub comment by borjasalguero on 2012-10-01T13:52:54Z]
@basiclines Cool! First of all we are going to land the current PR (as soon I can test it properly because Gaia is not working so nice today... :S ) and then we could add polishing steps. If I can help you with that let me know! Thanks ;)
It was fixed some time ago using Building Blocks.
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
It was fixed some time ago using Building Blocks.
Verify SMS 'send' is a button on the 11/28 unagi build.
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.